import { Dayjs } from 'dayjs';
export declare function getMonthDays(date?: string | Dayjs): number;
/**
 * 获取当前月第一天是星期几
 */
export declare function getWeekDays(date?: Dayjs): number;
/**
 * 获取当前星期第一天到星期天
 */
export declare function getWeekList(date?: Dayjs): string[];
/**
 * 获取上个月份
 */
export declare function getLastMonth(date?: Dayjs): string;
/**
 * 获取下个月份
 */
export declare function getNextMonth(date?: Dayjs): string;
/**
 * 格式化日期为两个单词，例如：‘1’号 格式为 ‘01’
 * @param {*} dateNumber
 */
export declare const formatDayWithTwoWords: (dateNumber: number) => string | number;
/**
 * 初始化日历
 */
export declare function initCalendar(date?: Dayjs): {
    date: string;
    text: string | number;
    isCurrentMonth: boolean;
    isCurrentDay: boolean;
}[];
/**
 * 初始化日历 自定义前缀
 */
export declare function initCustomPrefixCalendar(date?: Dayjs, content?: any): any[];
/**
 * 初始化日历
 */
export declare function initWeekCalendar(type: string, date?: Dayjs): ({
    text: string;
    date?: undefined;
} | {
    date: string;
    text?: undefined;
})[];
