import React, { MutableRefObject } from 'react';
import { FormInstance, ModalProps } from 'antd';
import { WFormProps } from '../WForm';
export interface IFormInstance extends MutableRefObject<FormInstance> {
    handleSubmit?: () => void;
    resetFields?: () => void;
    setFieldsValue?: (record?: Record<string, any>) => void;
}
interface Props extends WFormProps {
    open: boolean;
    setOpen: (value: any) => void;
    modalFormOpend?: (value: any) => void;
    submitMethod?: (value: any, done: () => void) => Promise<void>;
    onSubmitSuccess?: () => Promise<void>;
    record?: Record<string, any>;
    formItemChild?: () => React.ReactNode;
    onCancel?: () => void;
    modalHeaderSlot?: React.ReactNode;
    modalFooterSlot?: React.ReactNode;
    formProps?: Omit<WFormProps, 'columns'>;
}
declare const _default: React.ForwardRefExoticComponent<Props & ModalProps & React.RefAttributes<unknown>>;
export default _default;
