import React, { MutableRefObject } from 'react';
import { ReactNode } from 'react';
import { ProTableProps } from '@ant-design/pro-table';
import { ColumnProps, IColumnProps, Isearch } from '../WForm';
type CustomType = {
    type: 'custom';
    title: ReactNode;
    icon?: ReactNode;
    key: string;
    fetchInfo?: (record?: Record<string, any>) => Promise<any>;
    actionMethod?: (values: Record<string, any>, done: () => void, record?: Record<string, any>) => Promise<any>;
};
type ItableAction = {
    type: 'edit' | 'view' | 'delete' | 'extraAction';
    formItemChild?: (record: Record<string, any>, actionRef: MutableRefObject<any>, index: number) => ReactNode;
    actionMethod?: (values: Record<string, any>, done: () => void, record?: Record<string, any>) => Promise<any>;
    fetchInfo?: (record?: Record<string, any>) => Promise<any>;
    actionRender?: (record: Record<string, any>, actionRef: MutableRefObject<any>, onOk: () => void, index: number) => ReactNode;
};
interface ItableBar {
    type: 'add' | 'extraAction';
    actionMethod?: (values: Record<string, any>, done: () => void) => Promise<any>;
    render?: (record: Record<string, any>) => ReactNode;
    actionRender?: (record: Record<string, any>, onOk?: () => void) => ReactNode;
}
interface ItableBarCustom {
    type: 'custom';
    title: ReactNode;
    icon: ReactNode;
    key: string;
    actionMethod?: (values: Record<string, any>, done: () => void) => Promise<any>;
}
interface IoptionColumnConfig extends IColumnProps {
    showMoreNum?: number;
}
interface ITableCard extends Omit<ProTableProps<Record<string, any>[], Record<string, any>>, 'columns'> {
    columns: ColumnProps[];
    modalFormSearch?: Isearch;
    search?: Isearch;
    modalConfig?: Record<string, any>;
    searchFormConfig?: Record<string, any>;
    optionColumnConfig?: IoptionColumnConfig;
    request?: (params: Record<string, any>) => Promise<any>;
    tableAction?: Array<ItableAction | CustomType>;
    filterAction?: (record: Record<string, any>, item: Record<string, any>) => boolean;
    renderTableBar?: Array<ItableBar | ItableBarCustom>;
    renderTableBarDeps?: any;
    extraColumns?: Array<any>;
    onFormChange?: (changedValues: Record<string, any>, allValues: Record<string, any>, form: any) => void;
    noBordered?: boolean;
    searchTableSlot?: ReactNode;
    showIndex?: boolean;
}
declare const _default: React.ForwardRefExoticComponent<ITableCard & React.RefAttributes<any>>;
export default _default;
